### Method

# Gtk TreeSelection set_mode

#### Declaration [src]

    void
    gtk_tree_selection_set_mode (
      GtkTreeSelection* selection,
      GtkSelectionMode type
    )

#### Description [src]

Sets the selection mode of the `selection`. If the previous type was `GTK_SELECTION_MULTIPLE`, then the anchor is kept selected, if it was previously selected.

#### Parameters

`type` | `GtkSelectionMode`
| The selection mode.